A valid request URL is required to generate request examples{
"name": "<string>",
"assignedDiscountCount": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"canBeDeleted": true,
"couponCodeCount": 123,
"couponCodeType": "<string>",
"couponSetCode": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"id": 123,
"maxRedemptionsPerCouponCode": 123,
"maxRedemptionsPerUser": 123,
"redemptionCount": 123,
"setSize": 123,
"startDate": "2023-11-07T05:31:56Z",
"status": "<string>"
}Update a CouponSet. You can not update the Code or ID once the set is created.
A valid request URL is required to generate request examples{
"name": "<string>",
"assignedDiscountCount": 123,
"auditInfo": {
"createBy": "<string>",
"createDate": "2023-11-07T05:31:56Z",
"updateBy": "<string>",
"updateDate": "2023-11-07T05:31:56Z"
},
"canBeDeleted": true,
"couponCodeCount": 123,
"couponCodeType": "<string>",
"couponSetCode": "<string>",
"endDate": "2023-11-07T05:31:56Z",
"id": 123,
"maxRedemptionsPerCouponCode": 123,
"maxRedemptionsPerUser": 123,
"redemptionCount": 123,
"setSize": 123,
"startDate": "2023-11-07T05:31:56Z",
"status": "<string>"
}JWT Authorization header using the Bearer scheme.
limits which fields are returned in the response body
Represents a claimable item that allows a user to use one or more discounts.
CouponSet Name
200ReadOnly sum of all redemptions for this coupon. Use "counts" response group.
Show child attributes
Signifies that the coupon has not been exported and can be updated ReadOnly
Count of associated couponCodes. Must use "counts" response group to get this value ReadOnly
Determines if the coupon is a persisted list of codes (static) or a list based on generated specification (dynamic).
Unique tenant supplied identifier. Used as the prefix for generated sets. Required System generated if left null.
32Date and time that the coupon codes becomes expired
Internal unique identifier of the couponset. System-supplied and read-only.
Maximum number of times any code can de used. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation if null.
Maximum number of times any single user can redeem any code. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation only when legacy tenant behavior is enabled; otherwise null is preserved.
ReadOnly count of all redemptions for this coupon set.
Sets the number of codes to generate for dynamic coupons Required when CouponCodeType is "Dynamic"
Date and time that the coupon codes becomes active
CouponSet status which can be: Active, Expired, Inactive System-supplied and read-only.
Success
Represents a claimable item that allows a user to use one or more discounts.
CouponSet Name
200ReadOnly sum of all redemptions for this coupon. Use "counts" response group.
Show child attributes
Signifies that the coupon has not been exported and can be updated ReadOnly
Count of associated couponCodes. Must use "counts" response group to get this value ReadOnly
Determines if the coupon is a persisted list of codes (static) or a list based on generated specification (dynamic).
Unique tenant supplied identifier. Used as the prefix for generated sets. Required System generated if left null.
32Date and time that the coupon codes becomes expired
Internal unique identifier of the couponset. System-supplied and read-only.
Maximum number of times any code can de used. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation if null.
Maximum number of times any single user can redeem any code. Must be null or >= 1 (0 is invalid). Defaults to 1 on creation only when legacy tenant behavior is enabled; otherwise null is preserved.
ReadOnly count of all redemptions for this coupon set.
Sets the number of codes to generate for dynamic coupons Required when CouponCodeType is "Dynamic"
Date and time that the coupon codes becomes active
CouponSet status which can be: Active, Expired, Inactive System-supplied and read-only.